Subject: Bug#3324: Non-existant conffile not created.

From: [email-masked] (Neil Turton)
Date: Wed, 19 Jun 96 15:25 BST

Package: dpkg
Version: 1.2.6elf

  I think this is a dpkg, but there may be a problem with sysklogd as
well.  On updating my system, the sysklogd postinst script failed
because /etc/init.d/sysklogd didn't exist.  Why doesn't dpkg extract
the script from the package?  Presumably because it's a conffile and
it's upgrading the package.  I don't know what version of sys(k)logd I
had installed before, but it was in the unstable distribution, and was
working (and so presumably had /etc/init.d/sys(k)logd).  Here's a
typescript of and attempt to reinstall sysklogd.

Script started on Wed Jun 19 13:53:07 1996
userm:/root# dpkg -i /debian/debian/buzz/binary-i386/base/sysklogd-1.3-6.deb 
(Reading database ... 3480 files and directories currently installed.)
Preparing to replace sysklogd (using .../base/sysklogd-1.3-6.deb) ...
Unpacking replacement sysklogd ...
Setting up sysklogd ...
update-rc.d: warning /etc/init.d/sysklogd doesn't exist during rc.d setup.
Version 1.3 of the package is the culmination of about two years of
experience and bug reports on the 1.2 version from both the INTERNET
and our corporate Linux networks.

The default behaviour of syslogd has altered from 1.2 to 1.3. By default
*no* messages from the UDP port are accepted.

Read the documentation in /usr/doc/base/sysklogd carefully. Some important
things have been changed!
/var/lib/dpkg/info/sysklogd.postinst: /etc/init.d/sysklogd: No such file or directory
dpkg: error processing sysklogd (--install):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 sysklogd
userm:/root# cat /var/lib/dpkg/info/sysklogd.conffiles
/etc/syslog.conf
/etc/init.d/sysklogd
/etc/cron.weekly/sysklogd
userm:/root# ls /etc/init.d/sysklogd
ls: /etc/init.d/sysklogd: No such file or directory
userm:/root# dpkg -l dpkg sysklogd
Desired=Unknown/Install/Remove/Purge
| Status=Not/Installed/Config-files/Unpacked/Failed-config/Half-installed
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name            Version        Description
+++-===============-==============-============================================
ii  dpkg            1.2.6elf       Package maintenance system for Debian Linux
ii  sysklogd        1.3-6          Kernel and system logging daemons.
userm:/root# exit
exit
Script done on Wed Jun 19 13:55:59 1996

Neil.
+--------------------------------------------------+----------------------+
| Neil Turton, Assistant computer officer          | Snail Mail to:       |
| Part III mathematics student                     |  Churchill college,  |
| http://www.chu.cam.ac.uk/home/ndt1001/home.html  |  Cambridge. CB3 0DS. |
+--------------------------------------------------+----------------------+
| GCM(M) d H s+:- !g p0>+ !au(-) a- w+ v C+++@ UL++++$(+++) P+ L+++ 3-    |
| E++ N-(+) K- W--- M-- V po Y+ t-- 5 !j R- G? !tv(-) b+ D+ B? e+++ u(*)  |
| h-- f !r>+++ n+ y?                                                      |
+-------------------------------------------------------------------------+